Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
libebook::XMLTreeWalker::AttributeIterator Class Reference

`#include <XMLTreeWalker.h>`

## Public Member Functions
AttributeIterator & | operator++ ()
const AttributeIterator | operator++ (int)
const Attribute & | operator* () const
const Attribute * | operator-> () const
bool | operator== (const XMLTreeWalker::AttributeIterator &rhs) const

## Private Member Functions
| AttributeIterator (const XMLTreeNodePtr_t &node, TokenizerFun_t tok, bool end=false)

## Private Attributes
const XMLTreeNodePtr_t | m_node
std::size_t | m_index
Attribute | m_current
TokenizerFun_t | m_tok

## Friends
class | XMLTreeWalker

## Constructor & Destructor Documentation

## ◆ AttributeIterator()

libebook::XMLTreeWalker::AttributeIterator::AttributeIterator | ( | const XMLTreeNodePtr_t & | node,
|  | TokenizerFun_t | tok,
|  | bool | end = `false`
| ) |  |
| explicit private

## Member Function Documentation

## ◆ operator*()

const XMLTreeWalker::Attribute & libebook::XMLTreeWalker::AttributeIterator::operator* | ( |  | ) | const

## ◆ operator++() [1/2]

XMLTreeWalker::AttributeIterator & libebook::XMLTreeWalker::AttributeIterator::operator++ | ( |  | ) |

## ◆ operator++() [2/2]

const XMLTreeWalker::AttributeIterator libebook::XMLTreeWalker::AttributeIterator::operator++ | ( | int |  | ) |

## ◆ operator->()

const XMLTreeWalker::Attribute * libebook::XMLTreeWalker::AttributeIterator::operator-> | ( |  | ) | const

## ◆ operator==()

bool libebook::XMLTreeWalker::AttributeIterator::operator== | ( | const XMLTreeWalker::AttributeIterator & | rhs | ) | const

## Friends And Related Symbol Documentation

## ◆ XMLTreeWalker

friend class XMLTreeWalker
| friend

## Member Data Documentation

## ◆ m_current

Attribute libebook::XMLTreeWalker::AttributeIterator::m_current
| private

## ◆ m_index

std::size_t libebook::XMLTreeWalker::AttributeIterator::m_index
| private

## ◆ m_node

const XMLTreeNodePtr_t libebook::XMLTreeWalker::AttributeIterator::m_node
| private

Referenced by AttributeIterator().

## ◆ m_tok

TokenizerFun_t libebook::XMLTreeWalker::AttributeIterator::m_tok
| private

The documentation for this class was generated from the following files:

- XMLTreeWalker.h
- XMLTreeWalker.cpp